Bug 11690 - Kerberos printing (smbspool) with CUPS 1.5+ does not work anymore
Kerberos printing (smbspool) with CUPS 1.5+ does not work anymore
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
4.3.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 15:34 UTC by Andreas Schneider
Modified: 2016-02-15 09:33 UTC (History)
4 users (show)

See Also:


Attachments
patch for 4.2 (9.09 KB, patch)
2016-01-27 07:38 UTC, Andreas Schneider
slow: review+
Details
patch for 4.3 (9.09 KB, patch)
2016-01-27 07:39 UTC, Andreas Schneider
slow: review+
Details
manpage for 4.4 (4.57 KB, patch)
2016-02-08 12:43 UTC, Andreas Schneider
asn: review? (kseeger)
Details
manpage for 4.3 and 4.2 (4.58 KB, patch)
2016-02-08 12:44 UTC, Andreas Schneider
asn: review? (kseeger)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2016-01-22 15:34:44 UTC
Kerberos printing (smbspool) with CUPS 1.5+ does not work anymore. The KRB5CCAME is not available. Therefore we need a wrapper binary around smbspool which is executed as root and switches to the correct user to be able to access the Kerberos credential cache.

For this I have implemented smb_krb5_wrapper. From the new README.smbspool

smbspool
=========

smbspool is a very small print spooling program that sends a print file to an
SMB printer. The command-line arguments are position-dependent for
compatibility with the CUPS.

For printing support with Kerberos, CUPS 1.5+ needs a wrapper for the backend
which sets the correct location of the Kerberos credential cache.

smbspool_krb5_wrapper
======================

This tool can be used to print using Kerberos credentials. To get this working
smbspool_krb5_wrapper needs to be the smb backend of CUPS. It needs to be owned
by root and the permissions for the binary need to be 0700. Once smbspool_krb5_wrapper switched to the correct user it executes smbspool.
Comment 1 Andreas Schneider 2016-01-27 07:38:25 UTC
Created attachment 11791 [details]
patch for 4.2
Comment 2 Andreas Schneider 2016-01-27 07:39:36 UTC
Created attachment 11792 [details]
patch for 4.3
Comment 3 Ralph Böhme 2016-01-27 08:08:31 UTC
Reassigning to Karolin for inclusion in 4.2 and 4.3.
Comment 4 Karolin Seeger 2016-02-02 10:55:12 UTC
(In reply to Ralph Böhme from comment #3)
Pushed to autobuild-v4-[2|3]-test.
Comment 5 Karolin Seeger 2016-02-04 07:59:01 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-3-test, re-trying autobuild-v4-2-test.
Comment 6 Karolin Seeger 2016-02-05 08:58:47 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!
Comment 7 Andreas Schneider 2016-02-08 12:43:24 UTC
Created attachment 11811 [details]
manpage for 4.4
Comment 8 Andreas Schneider 2016-02-08 12:44:47 UTC
Created attachment 11812 [details]
manpage for 4.3 and 4.2
Comment 9 Andreas Schneider 2016-02-08 12:45:27 UTC
Karolin, please add the manpages to the branches too.
Comment 10 Karolin Seeger 2016-02-09 07:54:06 UTC
Pushed manpages to autobuilds.
Comment 11 Karolin Seeger 2016-02-15 09:33:48 UTC
Pushed to all branches.
Closing out bug report.

Thanks!